package mockmaker;


public interface CodeWriter {
void finish();
void writeClassDeclaration(String className,String interfaceName);
void writeImport(String importString);
void writePackage(String importString);
void writeInstanceVariableDeclaration(String typeName,String instanceVariableName);
void writeInstanceVariableDeclaration(String typeName,String instanceVariableName, String initialValue);
void writeMethodDeclaration(String typeName,String methodName, String[] parameters, String[] statements);

void writeMethodDeclarationThrowsExceptions(String typeName,String methodName, String[] parameters, String[] exceptions, String[] statements);

void writeConstructorMethodDeclaration(String methodName, String[] parameters);

void writeSubclassDeclaration(String className,String superclassName);
}