package mockmaker.tests;

import junit.framework.*;
import junit.textui.*;

import mockmaker.*;

public class ReturnValuesTest extends TestCase {
public ReturnValuesTest(String name) {
	super(name);
}
public static void main(String args[]) {
	TestRunner.main(new String[]{"mockmaker.tests.ReturnValuesTest"});
}

public static Test suite ( ) {
	TestSuite suite= new TestSuite(ReturnValuesTest.class);
	return suite;
}









public void testAddAndGet(){
	boolean keepUsingLastReturnValue = false;
	ReturnValues q = new ReturnValues(keepUsingLastReturnValue);

	q.add("one");
	q.add("two");

	assertEquals("one",q.getNext());
	assertEquals("two",q.getNext());

	try{
		q.getNext();
		fail("should have thrown ex");
	}catch(AssertionFailedError expected){
	}
}

public void testKeepGettingLastValue(){
	boolean keepUsingLastReturnValue = true;
	ReturnValues q = new ReturnValues(keepUsingLastReturnValue);

	q.add("one");
	q.add("two");

	assertEquals("one",q.getNext());
	assertEquals("two",q.getNext());
	assertEquals("two",q.getNext());
	assertEquals("two",q.getNext());
}
}