package mockmaker.tests;

import junit.framework.*;
import junit.textui.TestRunner;
import mockmaker.structure.tests.*;

public class AllTests extends TestCase {
	public AllTests(String name) {
		super(name);
	}
	public static void main(String args[]) {
		TestRunner.main(new String[] { "mockmaker.tests.AllTests" });
	}
	public static Test suite() {
		TestSuite suite = new TestSuite("mockmaker Tests");
		suite.addTest(new TestSuite(MockMakerTest.class));
		suite.addTest(new TestSuite(MockDocletTest.class));
		suite.addTest(new TestSuite(CodeWriterTest.class));
		suite.addTest(new TestSuite(AcceptanceTests.class));
		suite.addTest(new TestSuite(ReturnValuesTest.class));
		suite.addTest(new TestSuite(VoidReturnValuesTest.class));
		suite.addTest(new TestSuite(ConfigurationTest.class));
		suite.addTest(new TestSuite(ReflectionClassStructureTest.class));
		suite.addTest(new TestSuite(ReflectionMethodStructureTest.class));
		suite.addTest(new TestSuite(ReflectionConstructorStructureTest.class));
		suite.addTest(new TestSuite(SourceClassStructureTest.class));
		suite.addTest(new TestSuite(AntTaskTest.class));
		return suite;
	}
}