package mockmaker.tests;

import junit.framework.TestCase;
import mockmaker.MockDoclet;

public class MockDocletTest extends TestCase {

	public MockDocletTest(String s) {
		super(s);
	}

	public void testGetDestinationFileName() throws Exception {
		MockDoclet md = new MockDoclet();
		md.setConfigProperty("classNameFormat", "The{0}Mok");

		String result = md.getDestinationFileName("Cheese");
		assertEquals("TheCheeseMok.java", result);
	}

	public void testGetDestinationDirectoryName() throws Exception {
		MockDoclet md = new MockDoclet();
		md.setConfigProperty("packageNameFormat", "{0}.test");

		String result = md.getDestinationDirectoryName("com.foo.blah");
		assertEquals("com/foo/blah/test", result);
	}

}
